Firefox 46 crashes on Ubuntu 12.04 (precise) with Oxygen-GTK3

Bug #1575781 reported by Claude Krantz on 2016-04-27
110
This bug affects 20 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
oxygen-gtk3 (Ubuntu)
Undecided
Unassigned
Precise
High
Chris Coulson

Bug Description

Dear maintainers,

As of version 46, Firefox shipping with Ubuntu 12.04 (precise) is linked against GTK3 instead of GTK2.

When the Oxygen-GTK3 theme (installed from the Ubuntu 12.04 repos) is active in ~/.config/gtk-3.0, Firefox crashes on startup. The crash does not occur with the defaullt (GTK 3.4.2) GTK3 theme.

As a side note, I believe that this kind of software change (link against GTK3 as opposed to GTK2) should not happen on an LTS release anyway ...

Best regards,

Claude

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: firefox 46.0+build5-0ubuntu0.12.04.2
ProcVersionSignature: Ubuntu 3.13.0-85.129~precise1-generic 3.13.11-ckt36
Uname: Linux 3.13.0-85-generic x86_64
AddonCompatCheckDisabled: False
AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-85-generic.
ApportVersion: 2.0.1-0ubuntu17.13
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CX20561 Analog [CX20561 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: puma 5470 F.... pulseaudio
BuildID: 20160425115943
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc020000 irq 49'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa211c,00100000'
   Controls : 30
   Simple ctrls : 13
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7VHT15WW-1.05'
   Mixer name : 'ThinkPad EC 7VHT15WW-1.05'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Channel: Unavailable
Date: Wed Apr 27 18:20:37 2016
ForcedLayersAccel: False
IncompatibleExtensions:
 English (GB) Language Pack - <email address hidden>
 Default - {972ce4c6-7e08-4474-a285-3208198ce6fd}
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
IpRoute:
 default via 192.168.0.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.0.0/24 dev wlan0 proto kernel scope link src 192.168.0.101 metric 2
MarkForUpload: True
MostRecentCrashID: bp-42e526c1-c446-4b52-87a0-6dbf42111025
Plugins:
 KParts Plugin - /usr/lib/mozilla/plugins/libkpartsplugin.so (kpartsplugin)
 Skype Buttons for Kopete - /usr/lib/mozilla/plugins/skypebuttons.so (kopete)
 Java(TM) Plug-in 11.92.2 - /opt/JAVA/amd64/jre1.8.0_92/lib/amd64/libnpjp2.so
 Shockwave Flash - /usr/lib/mozilla/plugins/inactive/libflashplayer.so
PrefSources:
 prefs.js
 [Profile]/<email address hidden>/defaults/preferences/prefs.js
 [Profile]/<email address hidden>/defaults/preferences/zoteroOpenOfficeIntegration.js
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
Profiles: Profile0 (Default) - LastVersion=46.0/20160425115943
RelatedPackageVersions:
 kpartsplugin 20120605-1
 kopete 4:4.14.2-0ubuntu1~ubuntu12.04~ppa1
RunningIncompatibleAddons: True
SourcePackage: firefox
SubmittedCrashIDs: bp-42e526c1-c446-4b52-87a0-6dbf42111025
UpgradeStatus: Upgraded to precise on 2012-04-06 (1481 days ago)
dmi.bios.date: 10/13/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET79WW (3.09 )
dmi.board.name: 2767WC8
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET79WW(3.09):bd10/13/2009:svnLENOVO:pn2767WC8:pvrThinkPadT400:rvnLENOVO:rn2767WC8:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2767WC8
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO

Claude Krantz (puma) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
slumbergod (slumbergod) wrote :

Crash affects me using Xubuntu 16.04 and Albatross theme. I woke up to find FF had crashed overnight and a crash report was ready to send. And after restarting it, it managed to lock up my entire system similar to how memory leaks have done it before.

ghomem (gustavo) wrote :

Crashing here wit the oxygen theme.

As an emergency measure had to:

cd /home/USERNAME/.config/gtk-3.0
mv settings.ini settings.ini.off

ghomem (gustavo) wrote :

Agree with reporter's common: on an LTS Firefox should remain linked to gtk-2.0. Otherwise gtk3-engines-oxygen and co need to be fixed.

Bernhard (baumber) wrote :

I have the same problem with firefox 46 and gtk3 . Changing theme to qtcurve helps .

I have no directory /home/<USERNAME>/.config/gtk-3.0

I also firefox did not started after upgrade on Ubuntu 12.04.5 LTS

2016-04-28 09:43:03 startup archives unpack
2016-04-28 09:43:04 upgrade firefox 45.0.2+build1-0ubuntu0.12.04.1 46.0+build5-0ubuntu0.12.04.2
2016-04-28 09:43:04 status half-configured firefox 45.0.2+build1-0ubuntu0.12.04.1
2016-04-28 09:43:04 status unpacked firefox 45.0.2+build1-0ubuntu0.12.04.1
2016-04-28 09:43:04 status half-installed firefox 45.0.2+build1-0ubuntu0.12.04.1
...

I have no .config/gtk-3.0 direcotry.

This uses kde.

Did then: aptitude install firefox/precise

This gives firefox 11.0 and some sites does not work well.

/ Kari Hurtta

me: This uses kde.

ghomem: Apparently related:

Yes with other window manager (Unity desktop?) firefox 46.0 seems start (but that window manager does not manage display 0.1)
So that firefox bug hits with kde window manager (at least).

/ Kari Hurtta

This bug is also related with this bug of oxygen-gtk3:

- https://bugs.kde.org/show_bug.cgi?id=331020

I attached a backported patch for oxygen-gtk3 1.0.2 that fix Firefox start.

Changed in oxygen-gtk3 (Ubuntu):
status: New → Incomplete
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in oxygen-gtk3 (Ubuntu):
status: New → Confirmed

The attachment "Patch: Only register menubar to animation engine if the widget is actually valid." seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Vincas Dargis (talkless) wrote :

Same problem on Wheezy with KDE actually.

Sasa Vilic (sasavilic) wrote :

Same problem on Ubuntu 12.04 with KDE installed. I had to change theme in order to get firefox running. Before that, I had to downgrade to v45 and then I found this bug report and I changed theme then.

Bruno Haible (bruno-clisp) wrote :

Same problem on Ubuntu 12.04 with KDE installed. I used rekonq to find this page, and then downgraded to v45 as follows:

1. Google for 'firefox 45.0.2 deb 0ubuntu0.12.04', this yields a pointer to the original Firefox 12.04 binaries for Ubuntu 12.04 (the ones in http://security.ubuntu.com/ubuntu/pool/main/f/firefox/ don't work in older Ubuntu releases such as 12.04). The result is https://launchpad.net/~ubuntu-mozilla-security/+archive/ubuntu/ppa/+build/9572863 .
2. Download the necessary binary packages from there.
3.
# dpkg --remove --force-all firefox firefox-locale-de firefox-locale-en
# dpkg -i --force-all firefox_45.0.2+build1-0ubuntu0.12.04.1_amd64.deb firefox-locale-de_45.0.2+build1-0ubuntu0.12.04.1_amd64.deb firefox-locale-en_45.0.2+build1-0ubuntu0.12.04.1_amd64.deb
# apt-mark hold firefox firefox-locale-de firefox-locale-en

Philip Muškovac (yofel) wrote :

Thanks for finding the patch and the kde bug report. Going from that, trusty seems to be unaffected by this as it ships 1.3.5 so we only need to fix this in precise.

tags: added: regression-update
Changed in oxygen-gtk3 (Ubuntu):
status: Confirmed → Invalid
Changed in oxygen-gtk3 (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
assignee: nobody → Philip Muškovac (yofel)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu Precise):
status: New → Confirmed
Chris Coulson (chrisccoulson) wrote :

Sorry, but not switching to gtk3 means no more Firefox updates, and that wasn't an option.

The fix for oxygen-gtk3 needs to go through the security pocket. If the patch in comment 10 is correct, I'll upload this to the security PPA

Changed in firefox (Ubuntu):
status: Confirmed → Invalid
Changed in firefox (Ubuntu Precise):
status: Confirmed → Invalid
Leon Weber (leonn) wrote :

I have tested the patch in comment 10 and can confirm it works and fixes the firefox crash.

Badcam (kiwicameron+launchpad) wrote :

Comment #6 works for me. Using Mint 13 with KDE. Changed all of my oxygen theme settings to alternative themes & GTK-styles to clearlooks. I'm not sure which of the theme setting changes was the direct cause. Even managed to save my profile.

Philip Muškovac (yofel) wrote :

Unassigning myself. Feel free to take a look a this Chris and thanks.

Changed in oxygen-gtk3 (Ubuntu Precise):
assignee: Philip Muškovac (yofel) → nobody
Changed in oxygen-gtk3 (Ubuntu Precise):
assignee: nobody → Chris Coulson (chrisccoulson)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxygen-gtk3 - 1.0.2-0ubuntu3

---------------
oxygen-gtk3 (1.0.2-0ubuntu3) precise-security; urgency=medium

  [ Enrique Hernández Bello <email address hidden> ]
  * Backport upstream change to fix a crash with Firefox 46 (LP: #1575781)

 -- Chris Coulson <email address hidden> Mon, 02 May 2016 17:15:11 +0100

Changed in oxygen-gtk3 (Ubuntu Precise):
status: Triaged → Fix Released
Claude Krantz (puma) wrote :

As the OP I like to thank the maintainers for fixing that bug in oxygen-gtk3 so quickly. Many thanks for your work.

I would like to add that I now switched to Firefox ESR (from upstream) in order to keep a pure GTK2 system until EOL of precise. Looks like a viable alternative for me after all ...

Nonetheless, after some reading, I second the general consensus (see eg. http://www.chriscoulson.me.uk/blog/?p=111) that Ubuntu LTS should ship the latest "stable" release of Firefox in contrast to the ESR branch. For most users, a Firefox evolving in sync with upstream is probably more important than absolute long-time stability of the software. This post is here essentially to point other precise users to the possibility of using Firefox ESR as an option to stick to GTK2 if they like to.

In that sense: Keep up the good work.

Claude

Me: So that firefox bug hits with kde window manager (at least).

Yes, now Firefox 46.0 starts with KDE on Ubuntu 12.04.5 LTS.

hurtta@leija:~$ fgrep 2016-05-03 /var/log/dpkg.log | fgrep oxygen
2016-05-03 09:33:42 upgrade gtk3-engines-oxygen 1.0.2-0ubuntu2 1.0.2-0ubuntu3
2016-05-03 09:33:42 status half-configured gtk3-engines-oxygen 1.0.2-0ubuntu2
2016-05-03 09:33:42 status unpacked gtk3-engines-oxygen 1.0.2-0ubuntu2
2016-05-03 09:33:42 status half-installed gtk3-engines-oxygen 1.0.2-0ubuntu2
2016-05-03 09:33:42 status half-installed gtk3-engines-oxygen 1.0.2-0ubuntu2
2016-05-03 09:33:43 status unpacked gtk3-engines-oxygen 1.0.2-0ubuntu3
2016-05-03 09:33:43 status unpacked gtk3-engines-oxygen 1.0.2-0ubuntu3
2016-05-03 09:33:49 configure gtk3-engines-oxygen 1.0.2-0ubuntu3 <none>
2016-05-03 09:33:49 status unpacked gtk3-engines-oxygen 1.0.2-0ubuntu3
2016-05-03 09:33:49 status half-configured gtk3-engines-oxygen 1.0.2-0ubuntu3
2016-05-03 09:33:49 status installed gtk3-engines-oxygen 1.0.2-0ubuntu3
hurtta@leija:~$

When selecting text with mouse selected text is white. So that is white text on white background.

Also firefox --ProfileManager shows selected profile on white text on white background.

/ Kari Hurtta

I've packaged oxygen-gtk3 1.2.2, the latest version compatible with Gtk3 < 3.10 and it works succesfully.

https://launchpad.net/~ehbello/+archive/ubuntu/ppa/+files/oxygen-gtk3_1.2.2-0ubuntu1.dsc

This is the same version for oxygen-gtk2 already packaged in 'precise'. It fixes the anoying white color of selected text and another graphics apects.

You can found deb package in my Launchpad PPA: ~ehbello/ppa

https://launchpad.net/~ehbello/+archive/ubuntu/ppa

I attach the dpkg diff file from 1.0.2.

> This is the same version for oxygen-gtk2 already packaged in 'precise'. It fixes the anoying white color of
> selected text and another graphics apects.
>
> You can found deb package in my Launchpad PPA: ~ehbello/ppa

Yes. This fixes white text when selectiong text.

Me: Also firefox --ProfileManager shows selected profile on white text on white background.

However this now crashes:

hurtta@leija:~$ firefox --ProfileManager

(firefox:1467): Gtk-CRITICAL **: gtk_scrolled_window_get_shadow_type: assertion `GTK_IS_SCROLLED_WINDOW (scrolled_window)' failed

(firefox:1467): Gtk-CRITICAL **: gtk_scrolled_window_set_shadow_type: assertion `GTK_IS_SCROLLED_WINDOW (scrolled_window)' failed

(firefox:1467): Gtk-CRITICAL **: gtk_bin_get_child: assertion `GTK_IS_BIN (bin)' failed
Segmentation fault (core dumped)
hurtta@leija:~$

hurtta@leija:~$ dmesg | tail -1
[4235892.237081] firefox[1467]: segfault at 38 ip 00007f0e99ae3b36 sp 00007ffdb0603c70 error 4 in liboxygen-gtk.so[7f0e99a6e000+13d000]
hurtta@leija:~$

/ Kari Hurtta

I uploaded to my ppa another release with a new patch that fixes last segfault mentioned in #27.

https://launchpad.net/~ehbello/+archive/ubuntu/ppa/+files/oxygen-gtk3_1.2.2-0ubuntu2.dsc

Bernhard (baumber) wrote :

I have the same problems with graphical artifacts like white bars in the address search bar, in websites, when marking something, and the mouseover-text is black on black background, the scrollbar shows black artifacts.

There is also no space anymore between the text of the context menu, or the bookmark window or the noscript menu .
That's why the menus are very small.
Furthermore the bookmark bar is pressed together, so the icons and text are overlapping.
The form fields and buttons are very small for the text in general.

The "Save-As-"-Dialog has also problems with text not fitting in the form fields.
The navigation through the folders-bar is also overlapping with the arrows and text.

These problems are also in Kubuntu 14.04 , not only 12.04.

I installed the last working versions from website, but it makes no difference.
https://quickgit.kde.org/?p=oxygen-gtk.git

12.04:
oxygen-gtk2-1.4.6.tar.bz2
oxygen-gtk3-1.2.2.tar.bz2

14.04.
oxygen-gtk2-1.4.6.tar.bz2
oxygen-gtk3-1.4.1.tar.bz2

> I uploaded to my ppa another release with a new patch that
> fixes last segfault mentioned in #27.

Yes. This works.

/ Kari Hurtta

lokster (lokiisyourmaster) wrote :

Not sure if this is the correct place, as my bug is different, but also related to firefox 46 / oxygen-gtk3 (Kubuntu 14.04-based distro).
My problem is that the file open/save dialogs don't work properly - when I click on the gtk bookmarks on the left, they are marked, but the view does not switch to the selected directory. Pressing Enter on the keyboard switches them.

Also, if I try to use the right pane (where the files are listed) to navigate to some sub dir, some kind of drag/select action is initiated, like I'm holding Ctrl or something.

Changing the GTK3 theme solves the issue, but I want to use oxygen-gtk - for consistent look.

JonO (drjonoverton) wrote :

Trying to do #28 to fix the white text on white upon selecting.. Got this error:

:~$ dpkg-source -x oxygen-gtk3_1.2.2-0ubuntu2.dsc
gpgv: Signature made Thu 05 May 2016 13:00:28 BST using RSA key ID C64ABC9A
gpgv: Can't check signature: public key not found
dpkg-source: warning: failed to verify signature on ./oxygen-gtk3_1.2.2-0ubuntu2.dsc
dpkg-source: error: cannot fstat file ./oxygen-gtk3_1.2.2.orig.tar.bz2: No such file or directory

?

lokster (lokiisyourmaster) wrote :

In response to my #32 - I've fixed the problem by launching firefox with:
MOZ_USE_XINPUT2=1 firefox
Although not directly related to the main bug, the problem happened only with oxygen-gtk

Bernhard (baumber) wrote :

@ehbello

Thanks, the patched version (gtk3-engines-oxygen_1.2.2-0ubuntu2) from your ppa works for me too.

All problems are gone, except a few black artefacts at dialogue menus, scrollbar and when viewing certificates.

Can you please submit your package to the official repository?

@lokster

Your workaround is partly working for me, because after a while scrolling with mousewheel does not work anymore.

lokster (lokiisyourmaster) wrote :

@Bernhard (baumber) yes, I've noticed the same too, but it starts working after you minimize/restore the window.
At least the open/save dialogs are usable now.

@drjonoverton

Please, use `dget https://launchpad.net/~ehbello/+archive/ubuntu/ppa/+files/oxygen-gtk3_1.2.2-0ubuntu2.dsc` before dpkg-source :)

@baumber

I'm sorry but I'm not an Ubuntu uploader :(

haytham-med (haytham-med) wrote :

i have what is in comment no 32 , Except that changing gtk3 theme won't change theme in firefox and problem with file dialog box still exists, using gtk3-oxygen 1.3.5 in kubuntu 14.04

haytham-med (haytham-med) wrote :

i uninstalled gtk3-engines-oxygen and problem solved

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.